<article *ngIf="movie" class="movie-details">
  <section class="overview-section">
    <app-movie-img
      [posterSize]="'w342'"
      [posterPath]="movie.poster_path"
    ></app-movie-img>
    <div class="movie-info">
      <h1 class="title">
        {{ movie.title | titlecase }} ({{ movie.release_date | date: "y" }})
      </h1>
      
      <span class="release">
        Release date: {{ movie.release_date | date: "dd/MM/yyyy" }}
      </span>
      <span>Runtime: {{movie.runtime | minutesToHours}}</span>
      <span class="genres"> Genres: {{ movieGenres }}</span>
      
      <p class="rating">Rating</p>
      
      <app-star-rating
      [size]="'w150'"
      [rating]="movie.vote_average"
      ></app-star-rating>
      
      <p class="overview">Overview</p>

      <p class="overview-desc">{{ movie.overview }}</p>
    </div>
    <app-add-to-favorite [movie]="movie"></app-add-to-favorite>
  </section>
  
  <section class="margin-v10">
    <app-personal-note [movieId]="movie.id"></app-personal-note>
  </section>

  <section class="cast-section">
    <div class="section-heading">
      <h2>Top 10 Casts</h2>

      <a [routerLink]="['cast']">
        <button class="button medium-btn primary">Show all</button>
      </a>
    </div>

    <ul class="cast-section-list">
      <li class="actor" *ngFor="let actor of castList">
        <app-actor [actor]="actor"></app-actor>
      </li>
    </ul>
  </section>

  <section class="review-section">
    <div *ngIf="reviewList">
      <div class="section-heading">
        <h2>Reviews</h2>
        <a *ngIf="isReviewListExceed" [routerLink]="['reviews']">
          <button class="button medium-btn primary">
            Show all
          </button>
        </a>
      </div>

      <app-user-review
        *ngFor="let review of reviewList"
        [review]="review"
      ></app-user-review>
    </div>

    <div *ngIf="!reviewList">
      <h2>No reviews for this movie</h2>
    </div>
  </section>

  <section *ngIf="recommendedList" class="recommended-movies">
    <div class="section-heading">
      <h2>Recomended movies</h2>
    </div>

    <div class="movie-container">
      <ul class="movies-list">
        <li *ngFor="let movie of recommendedList" class="movie">
          <app-movie-card [movie]="movie"></app-movie-card>
        </li>
      </ul>
    </div>
  </section>
</article>
